Get edge store key value
curl --request GET \
--url https://api.gcore.com/fastedge/v1/kv/{store_id}/data/{key} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/kv/{store_id}/data/{key}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/kv/{store_id}/data/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"datatype": "kv",
"count": 123,
"payload": {
"value": "John Doe",
"encoding": "plain",
"expiry": "2024-12-31T23:59:59Z"
}
}{
"error": "<string>"
}Edge Storage
Get edge store key value
GET
/
fastedge
/
v1
/
kv
/
{store_id}
/
data
/
{key}
Get edge store key value
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Value prefix to search for
Required string length:
1 - 1024Value hash to search for
Minimum score for sorted set
Maximum score for sorted set
Limit for pagination
Required range:
1 <= x <= 10000Offset for pagination
Required range:
x >= 0Response
Returns key-value entry with complete metadata
Edge store entry
Key of the item
Required string length:
1 - 256Data type of the item
Available options:
kv, sorted_set, bloom_filter Total number of entries
KV pair value
- Option 1 · object
- Option 2 · object[]
- Option 3 · object[]
Show child attributes
Show child attributes
Was this page helpful?